//
//  EOEntityClassDescriptionInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EOEntityClassDescriptionInspector extends EOClassDescriptionInspector {

	public String bindingBaseName() {
		return "ecdesc";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"entityName", "attributeKeys", "allAttributeKeys",
			"toManyRelationshipKeys", "allToManyRelationshipKeys",
			"toOneRelationshipKeys", "allToOneRelationshipKeys",
			"clientAttributeKeys", "clientToOneRelationshipKeys",
			"clientToManyRelationshipKeys", "allPropertyKeys",
			"superClassDescription", "description"});
	}

    public NSArray allActions() {
		return null;
	}

}
