//
//  EOFetchSpecificationInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EOFetchSpecificationInspector extends Inspector {

	public String bindingBaseName() {
		return "fs";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"entityName", "qualifier", "sortOrderings", 
			"fetchesRawRows", "fetchLimit", "hints", "isDeep", "usesDistinct",
			"locksObjects", "prefetchingRelationshipKeyPaths", 
			"promptsAfterFetchLimit","rawRowKeyPaths",
			"refreshesRefetchedObjects", "requiresAllQualifierBindingVariables",
			"description"});
	}

    public NSArray allActions() {
		return null;
	}

}
