//
//  EOEntityInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EOEntityInspector extends Inspector {

	public String bindingBaseName() {
		return "entity";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"model", "name", "className", "externalName", "isReadOnly", "userInfo",
			"cachesObjects", "attributes", "relationships", "primaryKeyAttributeNames",
			"classPropertyNames", "fetchSpecificationNames",
			"sharedObjectFetchSpecificationNames", "subEntities", "description"});
	}

    public NSArray allActions() {
		return null;
	}

}
