//
//  EOModelInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EOModelInspector extends Inspector {

	public String bindingBaseName() {
		return "model";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"modelGroup", "name", "path", "entities", "storedProcedures",
			"availablePrototypeAttributeNames",  "adaptorName",
			"connectionDictionary", "userInfo", "externalModelsReferenced",
			"description"});
	}

    public NSArray allActions() {
		return new NSArray("loadAllModelObjects");
	}

}
