//
//  EORelationshipInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EORelationshipInspector extends Inspector {

	public String bindingBaseName() {
		return "rel";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"name", "joins", "joinSemantic", "entity", "destinationEntity",
			"sourceAttributes", "destinationAttributes", "inverseRelationship",
			"isCompound", "isFlattend", "isMandatory", "isToMany",
			"deleteRule", "propagatesPrimaryKey", "ownsDestination",
			"numberOfToManyFaultsToBatchFetch", "userInfo", "description"});
	}

    public NSArray allActions() {
		return null;
	}

}
